%bcond_without audacious

Summary: Gtk frontend for mp3splt 
Name:    mp3splt-gtk
Version: 0.7
Release: 9%{?dist}
License: GPLv2
Group:   Applications/Multimedia
Source:  http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
URL:     http://mp3splt.sourceforge.net/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: dbus-glib-devel
BuildRequires: desktop-file-utils
BuildRequires: gettext
BuildRequires: gtk2-devel 
BuildRequires: libmp3splt-devel >= %{version}
BuildRequires: libtool-ltdl-devel
BuildRequires: gnome-doc-utils
BuildRequires: gstreamer-devel 
BuildRequires: gstreamer-plugins-base-devel
BuildRequires: scrollkeeper
%{?with_audacious:BuildRequires: audacious-devel}
BuildRequires: libgnomeui-devel

%description
The mp3Splt project provides utilities to split mp3 and ogg files, 
by selecting a begin and an end time position, without decoding. 
It is very useful to split large mp3/ogg into smaller files,
or to split entire albums to obtain original tracks. 
To split an album, the split points and filenames can be selected 
manually or automatically from CDDB (internet or a local file),
or from .cue files. 

It supports automatic silence detection, which can be used 
to adjust cddb/cue split points. It is also possible to extract 
tracks from Mp3Wrap or AlbumWrap files in a few seconds. 

The mp3splt project is divided in 3 parts: 
libmp3splt, mp3splt and mp3splt-gtk.

%prep
%setup -q
%{_bindir}/iconv -f iso8859-1 -t utf8 AUTHORS -o AUTHORS.txt
touch -r AUTHORS AUTHORS.txt
mv AUTHORS.txt AUTHORS
sed -i -e's,PREFIX/mp3splt-gtk_ico.svg,mp3splt-gtk_ico,g' mp3splt-gtk.desktop.in

%build
export LDFLAGS="$LDFLAGS -laudclient -lm"
%configure --with-mp3splt-includes=%{_includedir}/libmp3splt \
           %{!?with_audacious:--disable-audacious}

make

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

# menu entry
desktop-file-install --delete-original                          \
                     --vendor ""                                \
                     --dir %{buildroot}%{_datadir}/applications \
                     --remove-category Application              \
                     --remove-mime-type x-vorbis+ogg            \
                     %{_builddir}/%{name}-%{version}/%{name}.desktop

%find_lang %{name}

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr (-,root,root,-)
%doc ABOUT-NLS AUTHORS ChangeLog COPYING INSTALL README
%{_bindir}/%{name}
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/pixmaps/%{name}_ico.svg
%{_datadir}/applications/%{name}.desktop
%{_datadir}/gnome/help/%{name}
%{_datadir}/omf/%{name}
%{_datadir}/%{name}
%{_mandir}/man1/mp3splt-gtk.*

%changelog
* Sat Sep 03 2011 Paulo Roma <roma@lcg.ufrj.br> 0.7-9
- Updated to 0.7

* Sun Mar 13 2011 Paulo Roma <roma@lcg.ufrj.br> 0.6.1a-8
- Updated to 0.6.1a
- Fixed desktop entry.
- Added BR gnome-doc-utils and scrollkeeper.
- Added in %%{_datadir}: gnome/help, omf and mp3splt-gtk.

* Mon Sep 27 2010 Paulo Roma <roma@lcg.ufrj.br> 0.6-6
- Updated to 0.6

* Mon Feb 22 2010 Paulo Roma <roma@lcg.ufrj.br> 0.5.9-6_1
- Linking with audclient.

* Wed Feb 17 2010 Paulo Roma <roma@lcg.ufrj.br> 0.5.9-6
- Updated to 0.5.9
- Using desktop-file-install.

* Wed Nov 04 2009 Paulo Roma <roma@lcg.ufrj.br> 0.5.8a-5
- Updated to 0.5.8a

* Sat Oct 31 2009 Paulo Roma <roma@lcg.ufrj.br> 0.5.8-5
- Updated to 0.5.8

* Thu Jul 30 2009 Paulo Roma <roma@lcg.ufrj.br> 0.5.7a-5
- Bugfix release: 0.5.7a

* Mon Jul 27 2009 Paulo Roma <roma@lcg.ufrj.br> 0.5.7-5
- Updated to 0.5.7

* Sat May 16 2009 Paulo Roma <roma@lcg.ufrj.br> 0.5.6-4
- Updated to 0.5.6

* Mon May 11 2009 Paulo Roma <roma@lcg.ufrj.br> 0.5.5-4
- Added BR libtool-ltdl-devel and dbus-glib-devel.

* Sat May 09 2009 Paulo Roma <roma@lcg.ufrj.br> 0.5.5-3
- Updated to 0.5.5

* Sun Mar 21 2009 Paulo Roma <roma@lcg.ufrj.br> 0.3.1-2
- Using find_lang.
- Converted AUTHORS to utf8.

* Sun Aug 26 2007 Paulo Roma <roma@lcg.ufrj.br> 0.3.1-1
- Initial spec file.
